drop proc SH_FLAGENVIOMAESTRA
go
create proc SH_FLAGENVIOMAESTRA
@TABLE ud_descripcion,
@PERSITE BIT,
@SITEID UD_IDSITE,
@IDTABLE ud_TABLEID,
@fechaproceso ud_fecha,
@usuario ud_userid,
@filename UD_DESCRIPCION
as

declare @cadena VARCHAR(1000)

begin tran

IF(@PERSITE=0)
	set @cadena='update '+@table +' set stknew=0, stkmodify=0 where (stknew=1 or stkmodify=1) '
ELSE
	set @cadena='update '+@table +' SET stknew=0, stkmodify=0 where SITEID ='+ @SITEID +' AND (stknew=1 or stkmodify=1) '

--SELECT @cadena
exec (@cadena)

 IF (@@error!=0)
    BEGIN
        RAISERROR  20001 'no se puede actualizar flags de envio ' 
        ROLLBACK TRAN
        RETURN(1)
    END

	insert into sh_shippings (SITEID,TABLEID,DATEPROCE,USERID,filename  ) 
	values (@SITEID,@IDTABLE,@fechaproceso,@usuario,@filename )

	IF (@@error!=0)
	   BEGIN
	        RAISERROR  20001 'no se puede grabar registro de envio'
	        ROLLBACK TRAN
	        RETURN(2)
	    END

    COMMIT TRAN
    RETURN(0)
go

SH_FLAGENVIOMAESTRA 'IN_INVENTORY',0,'57','023','20030205','SYSADMIN','xx'

SELECT * FROM SH_SHIPPINGS

